#version 330 core

void normalDepth()
{
	gl_FragDepth = gl_FragCoord.z;
}

void varianceDepth()
{
	float dx = dFdx(gl_FragCoord.z);
	float dy = dFdy(gl_FragCoord.z);
	gl_FragColor = vec4(gl_FragCoord.z, pow(gl_FragCoord.z, 2.0) + 0.25*(dx*dx+dy*dy), 0.0, 1.0);
}

void main()
{             
	normalDepth();
}  